Skip to main content
PATCH
Update assistant

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

assistant_id
string
required

The ID of the assistant

Body

The assistant information to update.

Schema for updating an existing assistant

name
string

The name of the assistant

Required string length: 1 - 1024
avatar_id
string | null

The ID of the avatar file id

Maximum string length: 128
contact_fields
object[]
Maximum array length: 32
config
object

Schema for updating the configuration of an assistant

Response

200 - application/json

The updated assistant.

Schema for an assistant

id
string
required
name
string
required

The name of the assistant

deleted
boolean
required

Whether the assistant has been soft-deleted

secret_key
string | null
required

The secret key to create session hashes

avatar_url
string | null
required

The URL of the avatar photo

config
object
required

Schema for the configuration of an assistant

channels
object[]
required
actions
object[]
required
contact_fields
object[]
required
spending_cap
object | null
required

A monthly spending cap on a user, an agent or an assistant

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
members
object[]

Bounded preview of assigned members (list reads only) for the collage

members_count
number

Total number of assigned members (list reads only)